> ## Documentation Index
> Fetch the complete documentation index at: https://docs.galileo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Group Roles



## OpenAPI

````yaml https://api.galileo.ai/public/v2/openapi.json get /v2/group_roles
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.galileo.ai
    description: Galileo Public APIs - galileo-v2
security: []
paths:
  /v2/group_roles:
    get:
      tags:
        - groups
      summary: Get Group Roles
      operationId: get_group_roles_v2_group_roles_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/GroupRoleInfo'
                type: array
                title: Response Get Group Roles V2 Group Roles Get
      security:
        - APIKeyHeader: []
        - OAuth2PasswordBearer: []
        - HTTPBasic: []
components:
  schemas:
    GroupRoleInfo:
      properties:
        name:
          $ref: '#/components/schemas/GroupRole'
          examples:
            - maintainer
        display_name:
          type: string
          title: Display Name
          examples:
            - Maintainer
        description:
          type: string
          title: Description
          examples:
            - Can add, remove, and edit group members.
      type: object
      required:
        - name
        - display_name
        - description
      title: GroupRoleInfo
    GroupRole:
      type: string
      enum:
        - maintainer
        - member
        - pending
      title: GroupRole
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Galileo-API-Key
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: https://api.galileo.ai/login
    HTTPBasic:
      type: http
      scheme: basic

````